namespace CMSMicroservice.Application.ProductsCQ.Commands.ToggleProductStatus;

public class ToggleProductStatusCommandValidator : AbstractValidator<ToggleProductStatusCommand>
{
    public ToggleProductStatusCommandValidator()
    {
        RuleFor(x => x.ProductIds)
            .NotEmpty().WithMessage("لیست محصولات نمی‌تواند خالی باشد")
            .Must(x => x.Count <= 100).WithMessage("حداکثر 100 محصول در هر بار قابل به‌روزرسانی است");

        RuleFor(x => x.DefaultStock)
            .GreaterThanOrEqualTo(0)
            .When(x => x.Enable)
            .WithMessage("موجودی پیش‌فرض نمی‌تواند منفی باشد");
    }
}
